## qtcreator 3.2.0+dfsg

=== debian/changelog ===
qtcreator (3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 19 Aug 2014 19:16:39 -0300

qtcreator (3.1.2+dfsg-2) unstable; urgency=medium

  [ Adam Majer ]
  * Add Debian menu entry.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add a horrible hack in debian/rules for building a few files with -O1
    instead of -O2 on armhf. If you don't like this please be sure to help
    me to get a minimal test case in order to fill a proper bug against g++.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 03 Aug 2014 13:36:05 -0300

qtcreator (3.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Jul 2014 15:34:16 -0300

qtcreator (3.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add libqt5x11extras5-dev as build dependency, as the build log warn us of
    it being missing.
  * Re-enable parallel building on arm*. It is not the issue causing the FTBFS.
  * Refresh patches:
    - 02_use_x-terminal-emulator.diff.
    - rpath_nonlinux.diff, it needed some work.
    - botan_system_lib.diff.
  * Add debian/quiltrc with the common settings for quilt.
  * Remove no-Werror.diff, seems no longer needed.
  * Do not remove the missplaced qbs plugins, they have been moved to the right
    place.
  * Bump Qt build dependencies to 5.3.0.
  * Pass some extra directories to dh_shlibdeps in which to look for
    dependencies. This might be an upstream bug.
  * Do not override dh_makeshlibs. We do not provide libs, so it shouldn't be a
    problem.
  * Fix permissions on qbs files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jun 2014 11:51:23 -0300

qtcreator (3.0.1+dfsg+exp-4) unstable; urgency=medium

  * Add qml-module-qtquick-controls and qml-module-qtquick2 as
    dependencies (Closes: #742710). Tight up the dependencies to the minimum
    required versions.
  * Disable parallel builds on arm*. It seems make is currently having problems
    with parallel builds on arm, so we disable them. It might get fixed with
    make 4.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Apr 2014 13:09:31 -0300

qtcreator (3.0.1+dfsg+exp-3) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Mar 2014 11:54:35 -0300

qtcreator (3.0.1+dfsg+exp-2) experimental; urgency=medium

  * Remove unnecesary build dependencies added because of a bug in Qt Webkit.
    - Build depend upon libqt5webkit5-dev >= 5.2.1+dfsg-4~ to be sure we don't
      hit the bug.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 18 Mar 2014 12:32:01 -0300

qtcreator (3.0.1+dfsg+exp-1) experimental; urgency=medium

  * Switch to Qt 5 on experimental.
    - Add +exp to the version of the package to be able to fix stuff in
      unstable if needed.
    - Switch to Qt 5 in debian/rules.
    - Remove Qt 4 build dependencies and add the necessary Qt 5 build
      dependencies.
    - Change Qt 4 dependencies, recommendations or suggestions to their Qt 5
      counterparts.
    - Add libgio2.0-cil-dev, libgstreamer-plugins-base0.10-dev,
      libgstreamer0.10-dev and libqt5opengl5-dev as build dependencies. They
      are required at link time, so maybe it's an effect of #711307.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 01 Mar 2014 22:50:11 -0300

qtcreator (3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch file.
  * Refresh rpath_nonlinux.diff.
  * Readapt botan_system_lib.diff.
  * Adjust install files.
  * Remove rule to compress the packages with xz, it is now the default
    compression method.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Avoid installing a license file and symlink it to it's common-licenses'
    counterpart.
  * Switch debian/copyright to format 1.0.
  * Repack source excluding minified javascript files without source.
    - Use Files-excluded in debian/copyright for this.
    - Update debian/watch to mangle the dfsg version.
    - Build depend upon libjs-jquery and create the necessary symlinks before
      building.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 25 Feb 2014 23:36:30 -0300

qtcreator (2.8.1-3) unstable; urgency=low

  [ Pino Toscano ]
  * Disable -Werror when building, as could potentially break depending on
    compiler/architecture; patch no-Werror.diff.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 04 Sep 2013 20:49:00 -0300

qtcreator (2.8.1-2) unstable; urgency=low

  [ Pino Toscano ]
  * Synchronise qtcreator.install with qtcreator.install.linux.
    (Closes: #721580)
  * Remove qtcreator.install.linux, since there are no more Linux-specific
    files.
  * Minor simplification in qtcreator.install.
  * Add ${perl:Depends} to qtcreator-data.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 02 Sep 2013 12:43:31 -0300

qtcreator (2.8.1-1) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Split qtcreator's arch:all stuff to qtcreator-data:
    - Create qtcreator-data.install to ship /usr/share stuff.
    - Remove the above mentioned stuff from qtcreator.install*.
    - Create qtcreator-data, add the appropriate Breaks+Replaces.
    - Make qtcreator depend on qtcreator-data.
    - Links in /usr/share/ now belong to qtcreator-data.
    - dh_installdocs now uses qtcreator-data.
  * Add lintian overrides:
    - qtcreator ships it's changelogs in qtcreator-data.
    - The upstream changelog is splited in different files.
  * Update watch file.
  * Refresh patches.
  * Remove 03_fix_DOCPATH.diff, no longer needed.
  * Adjust install files.
  * Manually call qmake in order to avoid a FTBFS due to dh passing -nocache.

