=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 9),
               libbotan1.10-dev,
               libicu-dev,
               libjs-jquery,
               libqt5opengl5-dev (>= 5.3.1+dfsg-2~),
               libqt5sql5-sqlite (>= 5.3.1+dfsg-2~),
               libqt5webkit5-dev (>= 5.3.1+dfsg~),
               libqt5x11extras5-dev (>= 5.3.1~),
               libx11-dev,
               pkg-config,
               qml-module-qtquick2 (>= 5.3.1~),
               qtbase5-dev (>= 5.3.1+dfsg-2~),
               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
               qtdeclarative5-dev (>= 5.3.1~),
               qtdeclarative5-private-dev (>= 5.3.1~),
               qtquick1-5-dev (>= 5.3.1~),
               qtquick1-5-private-dev (>= 5.3.1~),
               qtscript5-dev (>= 5.3.1~),
               qtscript5-private-dev (>= 5.3.1~),
               qttools5-dev (>= 5.3.1~),
               qttools5-dev-tools (>= 5.3.1~),
               qttools5-private-dev (>= 5.3.1~),
               qtxmlpatterns5-dev-tools (>= 5.3.1~)
Standards-Version: 3.9.5
Homepage: http://qt-project.org/wiki/Category:Tools::QtCreator
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtcreator.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtcreator.git

Package: qtcreator
Architecture: any
Depends: libqt5sql5-sqlite,
         qml-module-qtquick-controls (>= 5.2.1-4~),
         qml-module-qtquick2 (>= 5.2.1-5~),
         qtchooser,
         qtcreator-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gdb,
            make,
            qt5-doc,
            qtbase5-dev-tools,
            qtcreator-doc,
            qtdeclarative5-dev-tools,
            qtquick1-5-dev-tools,
            qttools5-dev-tools,
            qtxmlpatterns5-dev-tools,
            xterm | x-terminal-emulator
Suggests: cmake, g++, git, kdelibs5-data, subversion
Description: lightweight integrated development environment (IDE) for Qt
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms

Package: qtcreator-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: qtcreator (<< 2.8.0-1~)
Replaces: qtcreator (<< 2.8.0-1~)
Description: application data for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the architecture-independent data for Qt Creator IDE.

Package: qtcreator-dbg
Priority: extra
Architecture: any
Section: debug
Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt5-doc
Description: documentation for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the documentation for Qt Creator IDE.
