## qtcreator 3.2.1+dfsg

=== debian/changelog ===
qtcreator (3.2.1+dfsg-7) unstable; urgency=medium

  * Adds a missing check for a partially installed Qt version that is
    reported in qtchooser but is lacking qmake. (closes: #770007)

 -- Adam Majer <adamm@zombino.com>  Tue, 18 Nov 2014 09:55:32 -0600

qtcreator (3.2.1+dfsg-6) unstable; urgency=medium

  * Fix previous patch so autodetected Qt versions can be used and saved
    in "kits"

 -- Adam Majer <adamm@zombino.com>  Fri, 24 Oct 2014 18:28:22 -0500

qtcreator (3.2.1+dfsg-5) unstable; urgency=medium

  * Modify Qt autodetection to always have up-to-date-list of installed Qt
    versions

 -- Adam Majer <adamm@zombino.com>  Wed, 22 Oct 2014 12:30:00 -0500

qtcreator (3.2.1+dfsg-4) unstable; urgency=medium

  * Refresh from_header_to_body.diff.
  * Add qt_versions_trough_qtchooser.patch to detect available Qt versions
    using qtchooser.
  * Update Standards-Version to 3.9.6, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 21 Oct 2014 19:04:11 -0300

qtcreator (3.2.1+dfsg-3) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add +dfsg to the versioned build dependencies that require them. This
    helps backporting packages.
  * Add a note on Readme.source noting that the JQuery minified libraries
    where replaced with Debian's unminified ones.

 -- Adam Majer <adamm@zombino.com>  Tue, 23 Sep 2014 11:39:01 -0500

qtcreator (3.2.1+dfsg-2) experimental; urgency=medium

  * Add missing build dependency on libxext-dev (QTBUG-41454)

 -- Adam Majer <adamm@zombino.com>  Sat, 20 Sep 2014 19:05:56 -0500

qtcreator (3.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release
      + upstream tarball references to minified JQuery replaced with
        latest, editing friendly version from Debian.
  * Bump all Qt dependencies to 5.3.2

 -- Adam Majer <adamm@zombino.com>  Fri, 19 Sep 2014 17:13:48 -0500

qtcreator (3.2.0+dfsg-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make qtcreator recommend qttranslations5-l10n (Closes: 759685).
    Thanks Bernhard Übelacker for the detailed bug report!

  [ Adam Majer ]
  * Move some functions bodies from headers to .cpp files. This fixes a
    FTBFS bug with latest GCC (closes: 759862)

 -- Adam Majer <adamm@zombino.com>  Wed, 03 Sep 2014 21:10:34 -0500
