=== debian/control ===
--- 
+++ 
@@ -10,26 +10,27 @@
                libbotan1.10-dev,
                libicu-dev,
                libjs-jquery,
-               libqt5opengl5-dev (>= 5.3.1+dfsg-2~),
-               libqt5sql5-sqlite (>= 5.3.1+dfsg-2~),
-               libqt5webkit5-dev (>= 5.3.1+dfsg~),
-               libqt5x11extras5-dev (>= 5.3.1~),
+               libqt5opengl5-dev (>= 5.3.2+dfsg~),
+               libqt5sql5-sqlite (>= 5.3.2+dfsg~),
+               libqt5webkit5-dev (>= 5.3.2+dfsg~),
+               libqt5x11extras5-dev (>= 5.3.2~),
                libx11-dev,
+               libxext-dev,
                pkg-config,
-               qml-module-qtquick2 (>= 5.3.1~),
-               qtbase5-dev (>= 5.3.1+dfsg-2~),
-               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
-               qtdeclarative5-dev (>= 5.3.1~),
-               qtdeclarative5-private-dev (>= 5.3.1~),
-               qtquick1-5-dev (>= 5.3.1~),
-               qtquick1-5-private-dev (>= 5.3.1~),
-               qtscript5-dev (>= 5.3.1~),
-               qtscript5-private-dev (>= 5.3.1~),
-               qttools5-dev (>= 5.3.1~),
-               qttools5-dev-tools (>= 5.3.1~),
-               qttools5-private-dev (>= 5.3.1~),
-               qtxmlpatterns5-dev-tools (>= 5.3.1~)
-Standards-Version: 3.9.5
+               qml-module-qtquick2 (>= 5.3.2~),
+               qtbase5-dev (>= 5.3.2+dfsg~),
+               qtbase5-private-dev (>= 5.3.2+dfsg~),
+               qtdeclarative5-dev (>= 5.3.2~),
+               qtdeclarative5-private-dev (>= 5.3.2~),
+               qtquick1-5-dev (>= 5.3.2~),
+               qtquick1-5-private-dev (>= 5.3.2~),
+               qtscript5-dev (>= 5.3.2~),
+               qtscript5-private-dev (>= 5.3.2~),
+               qttools5-dev (>= 5.3.2~),
+               qttools5-dev-tools (>= 5.3.2~),
+               qttools5-private-dev (>= 5.3.2~),
+               qtxmlpatterns5-dev-tools (>= 5.3.2~)
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/wiki/Category:Tools::QtCreator
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtcreator.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtcreator.git
@@ -51,6 +52,7 @@
             qtdeclarative5-dev-tools,
             qtquick1-5-dev-tools,
             qttools5-dev-tools,
+            qttranslations5-l10n,
             qtxmlpatterns5-dev-tools,
             xterm | x-terminal-emulator
 Suggests: cmake, g++, git, kdelibs5-data, subversion
