=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 override_dh_auto_configure:
 	# Create some symlinks to jquery stuff.
 	ln -s /usr/share/javascript/jquery/jquery.min.js tests/manual/appwizards/htmlimportscenario_01/jquery-1.5.min.js
+	mkdir -p src/shared/qbs/doc/templates/scripts
 	ln -s /usr/share/javascript/jquery/jquery.min.js src/shared/qbs/doc/templates/scripts/jquery.js
 	ln -s /usr/share/javascript/jquery/jquery.min.js doc/templates/scripts/jquery.js
 	ln -s /usr/share/javascript/jquery/jquery.min.js doc/titlecase/jquery.js
