=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://download.qt-project.org/official_releases/qtcreator/([\d\.]*)/([\d\.]*)/qt-creator-opensource-src-([^-]*)\.tar\.gz
