## qtcreator 3.5.0+dfsg

=== debian/changelog ===
qtcreator (3.5.0+dfsg-1ubuntu3) wily; urgency=medium

  * debian/patches/cmake_ubuntuspecificbits.diff:
    - Fixes Bug "Complains about not being able to find custom executable 
      when trying to run application" (LP: #1489331)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 31 Aug 2015 11:03:54 +0000

qtcreator (3.5.0+dfsg-1ubuntu2) wily; urgency=medium

  * No-change rebuild against libbotan-1.10-1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Aug 2015 20:55:20 +0000

qtcreator (3.5.0+dfsg-1ubuntu1) wily; urgency=medium

  * Resync with Debian's packaging, remaining changes:
    - Keep tests enabled.
    - More recommended packages.
    - Build without Qt Quick 1 dependency.
    - Different transitioning from older package versions, and transitioning 
      from plugin specific packages now merged upstream.
    - Remaining Ubuntu specific CMake changes for Ubuntu plugin enablement.
    - Package qtcreator-dev for building plugins.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 21 Aug 2015 07:17:21 +0000

qtcreator (3.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release
    + Added highlights to editor's vertical scrollbar, ala eclipse-style
    + Removed Qt Quick 1 support from Qt Quick Designer
  * debian/control:
    + Bump build dependency to minumum of Qt 5.4, as per upstream.
    + Remove conflict resolution statements related to Wheezy (oldstable)
  * debian/patches:
    + drop qt_versions_trough_qtchooser.patch - incorporated upstream
    + update always_autotect_qt_versions

 -- Adam Majer <adamm@zombino.com>  Thu, 20 Aug 2015 12:44:17 -0500

qtcreator (3.5.0-0ubuntu1) wily; urgency=medium

  * Update from RC to the Final version.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 20 Aug 2015 12:39:49 +0000

qtcreator (3.5.0~rc1-0ubuntu4) wily; urgency=medium

  * Use system qbs again.
  * Drop recommending qtquick1-5-dev-tools, Qt Quick 1 will be dropped
    soon and also Qt 4 upstream support will be ending at the end of 2015.
  * Re-enable botan_system_lib.diff and missing_header.diff patches.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 18 Aug 2015 10:17:51 +0000

qtcreator (3.5.0~rc1-0ubuntu3) wily; urgency=medium

  * Add more conflicts/replaces for the old packages.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Aug 2015 06:30:53 +0000

qtcreator (3.5.0~rc1-0ubuntu1) wily; urgency=medium

  * New upstream Release Candidate. (LP: #1414759) (LP: #1164508) (LP: #1164504)
  * Sync packaging with Debian, remaining changes:
    - Keep tests enabled.
    - Some more runtime dependencies.
    - Remaining Ubuntu plugin enablement not yet in this upstream version.
    - Different transitioning from older package versions. 
    - Continue to keep the qtcreator-dev for building plugins.
    - No qbs support since qbs too old in Ubuntu.
    - Use supplied botan library since system lib too old.
  * Drop Qt version check patches, partially merged upstream
  * Drop upstreamed support_sshd_6_7.patch
  * Drop old Ubuntu plugin related patches
  * Add debian/patches/cmake_ubuntuspecificbits.diff not yet in upstream.
  * Conflict with merged to upstream plugins and the Go plugin needing a 
    port.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 12 Aug 2015 08:09:43 +0000

qtcreator (3.4.1+dfsg-2) unstable; urgency=medium

  * Re-enable QBS plugin and bump its requirements (closes: #792035)

 -- Adam Majer <adamm@zombino.com>  Sun, 26 Jul 2015 00:05:07 -0500

qtcreator (3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    + Refresh patches - only positional changes
  * Temporarily disable QBS plugin
  * debian/copyright:
    + consolidate 3-clause BSD licenses
    + consolidate MIT and Expat - they are the same licenses.

 -- Adam Majer <adamm@zombino.com>  Thu, 25 Jun 2015 15:46:23 -0500

qtcreator (3.4.0+dfsg~b1-1) experimental; urgency=medium

  * New upstream release
    + Added support for autocompletion of Qt5 style connect

 -- Adam Majer <adamm@zombino.com>  Sat, 07 Mar 2015 16:06:47 -0600

qtcreator (3.3.1+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Update lists of jquery files updated from original tarball in
    README.source

 -- Adam Majer <adamm@zombino.com>  Tue, 24 Feb 2015 14:31:52 -0600

qtcreator (3.3.0+dfsg-1) experimental; urgency=medium

  * New upstream release
    + Replace minified jquery instances in upstream tarball with editing
    friendly version from Debian.
  * Use debian packaged qbs instead of bundled version (closes: #763388)
  * Update uscan to reference qt.io instead of qt-project.org
  * Switch homepage to qt.io
  * Look for documentation in the correct directory (closes: #740126)

 -- Adam Majer <adamm@zombino.com>  Thu, 01 Jan 2015 18:59:21 -0600

qtcreator (3.1.1-0ubuntu12) wily; urgency=medium

  * Remove hard coded dependencies on runtime libraries.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Aug 2015 19:13:13 +0200

qtcreator (3.1.1-0ubuntu11) wily; urgency=medium

  * No-change rebuild against libbotan-1.10-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Aug 2015 10:15:30 +0200

qtcreator (3.1.1-0ubuntu10) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 19:29:58 +0300
