=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
Build-Depends: debhelper (>= 9),
               libbotan1.10-dev,
               libicu-dev,
               libjs-jquery,
               libqt5opengl5-dev (>= 5.4.1~),
               libqt5sql5-sqlite (>= 5.4.1~),
               libqt5webkit5-dev (>= 5.4.1~),
               libqt5x11extras5-dev (>= 5.4.1~),
               libx11-dev,
               libxext-dev,
               pkg-config,
               qbs-dev (>= 1.4.1+dfsg~),
               qml-module-qtquick2 (>= 5.4.1~),
               qtbase5-dev (>= 5.4.1+dfsg~),
               qtbase5-private-dev (>= 5.4.1+dfsg~),
               qtdeclarative5-dev (>= 5.4.1~),
               qtdeclarative5-private-dev (>= 5.4.1~),
               qtscript5-dev (>= 5.4.1~),
               qtscript5-private-dev (>= 5.4.1~),
               qttools5-dev (>= 5.4.1~),
               qttools5-dev-tools (>= 5.4.1~),
               qttools5-private-dev (>= 5.4.1~),
               qtxmlpatterns5-dev-tools (>= 5.4.1~),
               xauth,
               xvfb,
Standards-Version: 3.9.6
Homepage: http://doc.qt.io/qt-5/topics-app-development.html
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtcreator.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtcreator.git
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtcreator

Package: qtcreator
Architecture: any
Depends: libqt5sql5-sqlite,
         qml-module-qtquick-controls (>= 5.2.1-4~),
         qml-module-qtquick2 (>= 5.2.1-5~),
         qtchooser,
         qtcreator-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: qtcreator-plugin-cmake,
           qtcreator-plugin-go (<= 3.4),
           qtcreator-plugin-qnx,
           qtcreator-plugin-remotelinux,
           qtcreator-plugin-valgrind,
Replaces: qtcreator-plugin-cmake,
          qtcreator-plugin-qnx,
          qtcreator-plugin-remotelinux,
          qtcreator-plugin-valgrind,
Recommends: g++,
            gdb,
            make,
            qmlscene,
            qt5-qmake,
            qtbase5-dev-tools,
            qtcreator-doc,
            qtdeclarative5-dev-tools,
            qttools5-dev-tools,
            qttranslations5-l10n,
            qtxmlpatterns5-dev-tools,
            xterm | x-terminal-emulator,
Suggests: cmake, git, kdelibs5-data, subversion,
          ubuntu-sdk,
Description: lightweight integrated development environment (IDE) for Qt
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms

Package: qtcreator-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: qtcreator (<< 3.2.0-1~),
Replaces: qtcreator (<< 3.2.0-1~)
Description: application data for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the architecture-independent data for Qt Creator IDE.

Package: qtcreator-dbg
Priority: extra
Architecture: any
Section: debug
Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt5-doc
Description: documentation for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the documentation for Qt Creator IDE.

Package: qtcreator-dev
Architecture: all
Depends: qtcreator (= ${binary:Version}),
         libicu-dev,
         ${misc:Depends},
Conflicts: qtcreator-plugin-cmake-dev,
           qtcreator-plugin-qnx-dev,
           qtcreator-plugin-remotelinux-dev,
           qtcreator-plugin-valgrind-dev,
Replaces: qtcreator-plugin-cmake-dev,
          qtcreator-plugin-qnx-dev,
          qtcreator-plugin-remotelinux-dev,
          qtcreator-plugin-valgrind-dev,
Description: Qt Creator plugin development files
 This package contains the developer files for Qt
 Creator plugin evelopment
