## qtcreator 3.5.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -15,19 +15,23 @@
 export QMAKE_LFLAGS_RELEASE := $(LDFLAGS)
 export QMAKE_LFLAGS_DEBUG := $(LDFLAGS)
 export QT_SELECT := qt5
+export LLVM_INSTALL_DIR := $(shell if [ -d /usr/lib/llvm-3.7 ]; then echo /usr/lib/llvm-3.7; else echo /usr/lib/llvm-3.6; fi)
+export QT_QPA_PLATFORM := minimal
 
 # Upstream changelog
 upstream_changes := $(wildcard dist/changes-*)
+
+# Skip tests on the archs they are known to be flaky  with current configuration
+testskip_architectures := powerpc
 
 %:
 	dh $@ --parallel --dbg-package=qtcreator-dbg --builddirectory=builddir
 
 override_dh_auto_configure:
 	# Create some symlinks to jquery stuff.
-	ln -s /usr/share/javascript/jquery/jquery.min.js tests/manual/appwizards/htmlimportscenario_01/jquery-1.5.min.js
+	#ln -s /usr/share/javascript/jquery/jquery.min.js tests/manual/appwizards/htmlimportscenario_01/jquery-1.5.min.js
 	mkdir -p src/shared/qbs/doc/templates/scripts
 	ln -s /usr/share/javascript/jquery/jquery.min.js src/shared/qbs/doc/templates/scripts/jquery.js
-	ln -s /usr/share/javascript/jquery/jquery.min.js doc/templates/scripts/jquery.js
 	ln -s /usr/share/javascript/jquery/jquery.min.js doc/titlecase/jquery.js
 
 	mkdir -p builddir
@@ -39,7 +43,11 @@
 		QMAKE_LFLAGS_RELEASE="$(QMAKE_LFLAGS_RELEASE)" \
 		QMAKE_LFLAGS_DEBUG="$(QMAKE_LFLAGS_DEBUG)" \
 		QMAKE_STRIP=: \
+		QBS_INSTALL_DIR=/usr \
+		BUILD_TESTS=true \
 		PREFIX=/usr/ \
+		LLVM_INSTALL_DIR="$(LLVM_INSTALL_DIR)" \
+		CONFIG+=llvm_disable_rpath \
 		$(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 USE_SYSTEM_BOTAN=1 $(extra_configure_opts)
 
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armhf))
@@ -51,7 +59,7 @@
 endif
 
 override_dh_auto_install:
-ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
+ifneq (,$(filter qtcreator-doc,qtcreator-dev, $(shell dh_listpackages)))
 	dh_auto_build -- qch_docs
 endif
 	dh_auto_install --destdir=debian/tmp/usr
@@ -60,8 +68,10 @@
 	# Do not install the file, we better symlink it.
 	rm -vf debian/tmp/usr/share/qtcreator/debugger/LICENSE.LGPL
 
-	# Fix wrong permissions
-	chmod -v 664 debian/tmp/usr/share/qtcreator/qbs/share/qbs/modules/nsis/*.qbs
+	mkdir -p debian/tmp/usr/src/qtcreator/
+	find | egrep -v '^\.\/doc|^\.\/share|^\.\/\.pc|^\.\/debian|^\.\/tests|^\.\/share' | grep "\.pri\$$\|\.h\$$\|\.xsl\$$" | xargs -I{} cp --parents -r "{}" debian/tmp/usr/src/qtcreator
+	cd debian/tmp/usr/src/qtcreator; cp -r builddir/* .; rm -R builddir
+	rm -rfv debian/tmp/usr/usr/tests/
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -73,7 +83,6 @@
 	find . -type d -name '.uic' | xargs rm -rf
 	rm -vf tests/manual/appwizards/htmlimportscenario_01/jquery-1.5.min.js
 	rm -vf src/shared/qbs/doc/templates/scripts/jquery.js
-	rm -vf doc/templates/scripts/jquery.js
 	rm -vf doc/titlecase/jquery.js
 
 override_dh_install:
@@ -86,3 +95,12 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -l$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator:\
 	$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator/plugins/QtProject
+
+override_dh_auto_test:
+ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	cp -r $(CURDIR)/builddir/lib/*/ $(CURDIR)/lib
+	#xvfb-run -a dh_auto_test -- -C tests/auto
+endif
+endif
+
