=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://download.qt.io/official_releases/qtcreator/([\d\.]*)/([\d\.]*)/qt-creator-opensource-src-([^-]*)\.tar\.gz
