## qtcreator 3.5.1+dfsg

=== debian/changelog ===
qtcreator (3.5.1+dfsg-2ubuntu2) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 16:46:10 +0200

qtcreator (3.5.1+dfsg-2ubuntu1) xenial; urgency=medium

  [ Timo Jyrinki ]
  * New upstream release.
  * Sync with Debian.

  [ Benjamin Zeller ]
  * Add fix_qt_version_autodetection.patch, fixes a regression 
    with always_autotect_qt_versions (LP: #1508891)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 03 Nov 2015 06:27:05 +0000

qtcreator (3.5.1+dfsg-2) unstable; urgency=medium

  * Use only LLVM 3.6 to avoid a FTBFS in 3.7 that doesn't
    allows us to migrate.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 27 Oct 2015 13:41:39 -0300

qtcreator (3.5.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Allow building of ClangCodeModel using either LLVM 3.7 or 3.6

 -- Adam Majer <adamm@zombino.com>  Sun, 25 Oct 2015 02:14:26 -0500

qtcreator (3.5.0+dfsg-2) unstable; urgency=medium

  * Remove QtQuick1 build dependencies.
  * Enable ClangCodeModel plugin (closes: #791348)
     + Disable rpath via debian/patches/disable_llvm_rpath.diff

 -- Adam Majer <adamm@zombino.com>  Sun, 27 Sep 2015 15:51:57 -0500
