=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
 Build-Depends: debhelper (>= 9),
+               libclang-3.6-dev,
                libbotan1.10-dev,
                libicu-dev,
                libjs-jquery,
