## qtcreator 4.0.1

=== debian/changelog ===
qtcreator (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Add a lintian override for qbs' sources, as we don't build it nor use it.
  * Fix mistyped license in debian/copyright.
  * Backport a patch to fix a FTBFS in PowerPC. Thanks Thiago Macieira for the
    quick reply :)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 14 Jun 2016 23:23:56 -0300

qtcreator (4.0.0-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    + Bump qbs-dev to 1.5.0.
  * Instruct uscan to repack the original source with xz compression.
  * Remove 02_use_x-terminal-emulator.diff, already present upstream.
  * Refresh botan_system_lib.diff.
  * Add qmlscene and qt5-qmltooling-plugins as a qtcreator recommendations
    (Closes: #824334).
  * Update debian/copyright.
  * Update Homepage and Vcs-* fields to use secure URLs.
  * Update Standards-Version to 3.9.8, no changes required.
  * Update install files.
  * Make qtcreator recommend clang, as it has added quite interesting tools
    that use it.

  [ Adam Majer ]
  * Refresh patches:
    + always_autotect_qt_versions
    + fix_qt_version_autodetection.diff
    + missing_header.diff
    + fix_documentation_path.diff
    + remove_libexec.diff

 -- Adam Majer <adamm@zombino.com>  Sun, 29 May 2016 23:03:30 +0200

qtcreator (3.6.1-1) unstable; urgency=medium

  * New upstream version
      + clang code model improvements
  * debian/patches:
      + remove disable_llvm_rpath.diff - upstreamed

 -- Adam Majer <adamm@zombino.com>  Wed, 23 Mar 2016 23:48:12 -0500

qtcreator (3.6.0-2) unstable; urgency=medium

  * Move libexec executables out from under /usr/bin to under /usr/lib and
    point QtCreator's internal libexec path to the new location. This
    allows plugins like Clangbackend to function once more. (closes: #812531)
  * debian/rules:
      + remove obsolete jQuery-related link and cleanup, since we no longer
        ship +fdsg version.
      + remove unnecessary dh_auto_clean_override
  * debian/qtcreator.install:
      + no longer install unnecessary qtcreator.sh
  * debian/patches/fix_qt_version_autodetection.diff
      + in certain situations it was possible for a Qt version to be
        autodetected as a new installation even it was already found and
        previosuly saved. Add a patch by Benjamin Zeller to fix this issue.
        Thanks to Timo Jyrinki for report (closes: #803937)

 -- Adam Majer <adamm@zombino.com>  Tue, 26 Jan 2016 16:03:52 -0600

qtcreator (3.6.0-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * No longer ship a +dfsg version: the only remaining javascript file is not
    minified nor used, as we don't build qbs' documentation.
    - Adjust README.source and debian/watch to this new situation.
  * Refresh patches.

  [ Adam Majer ]
  * Refreshed disable_llvm_rpath.diff - still needed for clangbackend binary.
  * Move libexec executables back to standard bin path
  * No longer distribute qtcreator menu file. We are already distributing a
    .desktop file.

 -- Adam Majer <adamm@zombino.com>  Tue, 19 Jan 2016 11:44:53 -0600
