=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 9),
               libbotan1.10-dev,
               libclang-3.6-dev,
               libicu-dev,
               libjs-jquery,
               libqt5opengl5-dev (>= 5.4.0~),
               libqt5sql5-sqlite (>= 5.4.0~),
               libqt5webkit5-dev (>= 5.4.0~),
               libqt5x11extras5-dev (>= 5.4.0~),
               libx11-dev,
               libxext-dev,
               pkg-config,
               qbs-dev (>= 1.5.0+dfsg~),
               qml-module-qtquick2 (>= 5.4.0~),
               qtbase5-dev (>= 5.4.0~),
               qtbase5-private-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~),
               qtdeclarative5-private-dev (>= 5.4.0~),
               qtscript5-dev (>= 5.4.0~),
               qtscript5-private-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~),
               qttools5-dev-tools (>= 5.4.0~),
               qttools5-private-dev (>= 5.4.0~),
               qtxmlpatterns5-dev-tools (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://doc.qt.io/qt-5/topics-app-development.html
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtcreator.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtcreator.git

Package: qtcreator
Architecture: any
Depends: libqt5sql5-sqlite,
         qml-module-qtquick-controls (>= 5.4.0~),
         qml-module-qtquick2 (>= 5.4.0~),
         qtchooser,
         qtcreator-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: clang,
            gdb,
            make,
            qmlscene,
            qt5-doc,
            qt5-qmltooling-plugins,
            qtbase5-dev-tools,
            qtcreator-doc,
            qtdeclarative5-dev-tools,
            qttools5-dev-tools,
            qttranslations5-l10n,
            qtxmlpatterns5-dev-tools,
            xterm | x-terminal-emulator
Suggests: cmake, g++, git, kdelibs5-data, subversion
Description: lightweight integrated development environment (IDE) for Qt
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms

Package: qtcreator-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: application data for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the architecture-independent data for Qt Creator IDE.

Package: qtcreator-dbg
Priority: extra
Architecture: any
Section: debug
Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt5-doc
Description: documentation for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the documentation for Qt Creator IDE.
